@import "../css/branding-variables.css";

#blankScreenV2.blank-screen__modal.modal {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 1300;
  display: none;
  width: 100%;
  height: 100%;
  overflow: hidden;
  outline: 0;
  background-color: rgba(0, 0, 0, 0.45);
  transition: top 0.3s ease-out;
}

#blankScreenV2.blank-screen__modal.modal.show {
  display: block;
  animation: fadeIn 0.3s ease-in;
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

#blankScreenV2.blank-screen__modal .modal-dialog {
  position: relative;
  width: 500px;
  margin: 0 auto;
  pointer-events: none;
}

#blankScreenV2.blank-screen__modal .modal-dialog-centered {
  display: flex;
  align-items: center;
  min-height: calc(100% - 1rem);
}

#blankScreenV2 .modal-content {
  position: relative;
  display: flex;
  flex-direction: column;
  width: 100%;
  pointer-events: auto;
  background-color: #fff;
  background-clip: padding-box;
  outline: 0;
  max-height: 90vh;
  overflow-y: auto;
  border-radius: 10px;
}

#blankScreenV2 .modal-header {
  display: flex;
  align-items: flex-start;
  justify-content: space-between;
  padding: 3rem;
  padding-bottom: 10px;
}

#blankScreenV2 .modal-title {
  margin: 0;
  line-height: 1.5;
  color: #212529;
  font-weight: normal;
  font-size: 20px;
}

#blankScreenV2 .modal-body {
  position: relative;
  flex: 1 1 auto;
  color: var(--im-outer-space);
  font-weight: normal;
  font-size: 14px;
  padding: 0 3rem;
  padding-bottom: 6rem;
  overflow-y: auto;
}

#blankScreenV2 .instruction-list {
  padding: 12px;
  margin: 0;
  padding-left: 20px;
}

#blankScrenV2 .modal-body ul {
  line-height: 1.5;
}

#blankScreenV2 ul li {
  margin-bottom: 12px;
}
#blankScreenV2 ul li:last-child {
  margin-bottom: 0;
}
#blankScreenV2 .browser-list ul {
  padding-left: 20px;
}
#blankScreenV2 .browser-list .title {
  margin: 0;
  font-weight: 500;
}

#blankScreenV2 .modal-footer {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  gap: 12px;
  padding: 1rem 3rem;
  border-top: 1px solid #dee2e6;
  font-size: 14px;
  position: absolute;
  bottom: 0;
  background: #ffffff;
  width: 100%;
  height: 66px;
}
#blankScreenV2 .modal-footer .ant-btn {
  line-height: 1.5715;
  font-weight: 400;
  white-space: nowrap;
  text-align: center;
  border: 1px solid transparent;
  box-shadow: 0 2px 0 rgba(0, 0, 0, 0.015);
  cursor: pointer;
  transition: all 0.3s cubic-bezier(0.645, 0.045, 0.355, 1);
  user-select: none;
  touch-action: manipulation;
  height: 32px;
  padding: 4px 15px;
  font-size: 14px;
  border-radius: 4px;
  color: rgba(0, 0, 0, 0.85);
  background: #fff;
  border-color: #d9d9d9;
}


#blankScreenV2 .fade {
  opacity: 0;
  transition: opacity 0.15s linear;
}

#blankScreenV2 .fade.show {
  opacity: 1;
}
#blankScreenV2 .modal-header .close {
  background: transparent;
  border: none;
  outline: none;
  position: absolute;
  right: 17px;
  top: 21px;
  cursor: pointer;
}

@media screen and (max-width: 576px) {
  #blankScreenV2.blank-screen__modal .modal-dialog {
    width: auto;
    max-width: 100%;
    margin: 0.5rem;
  }
}
